2
\$\begingroup\$

I built UE5.1-Main from source successfully. I'm trying to port my UE5 marketplace plugins, but when I launch the editor I get these errors for all my ported plugins.

I suspect it might have something to do with .NET6.0 SDK (which I had to install to build the source). Maybe I installed it incorrectly. Or perhaps I'm missing some other visual studio component. I followed this guide to get it set up using Visual Studio Community 2019.

Any ideas about what's going on here and how to fix it?

enter image description here enter image description here

\$\endgroup\$
2
  • \$\begingroup\$ Please share your error messages as text, not as images. This makes them visible to search indexing, translation, and screen reader software, helping more users find and understand your question, and making it faster to get high-quality answers. \$\endgroup\$
    – DMGregory
    Apr 30, 2022 at 18:54
  • \$\begingroup\$ I'm trying to build BlueprintAssist from the Marketplace and I'm seeing a similar error. One thing I noticed is the plugin doesn't seem to be generating any dll binaries, the Binary folder is as good as empty. The plugin is referenced by my project, used to work fine in UE4, but in UE5 it's not triggering a plugin build. \$\endgroup\$ Dec 14, 2022 at 22:38

1 Answer 1

2
\$\begingroup\$

I had the same problem when trying to compile BlueprintAssist in Engine/Plugin/Marketplace; this used to work in UE4, but it's not working for me in UE5. enter image description here

Everything started working when I moved the plugin into Game/Plugins. I'd try moving it if you can.

\$\endgroup\$

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .